Virtual accounts
List customer virtual accounts
List all virtual bank accounts for a customer.
Returns all virtual bank accounts (IBANs) for the customer, including their status and details.
Authorization
bearerAuth AuthorizationBearer <token>
Organization API key obtained on Settings > API Keys page in Compose UI.
In: header
Path Parameters
customerId*string
Unique identifier of the customer
Response Body
application/json
application/json
application/json
application/json
curl -X GET 'https://compose.finance/api/v2/customers/{customerId}/virtual-accounts' \ -H 'Authorization: Bearer YOUR_API_KEY'[
{
"virtualAccountId": "corr-12345-abcde",
"status": "APPROVED",
"currency": "EUR",
"virtualAccount": {
"iban": "DK0012345678123456",
"bic": "EXAMPLEBICXXX",
"accountName": "JOHN DOE",
"accountNumber": "1234567890",
"addressDetails": {
"addressLine1": "123 Example Street",
"city": "London",
"postcode": "SW1A 1AA",
"country": "GB",
"nationality": "GB",
"dateOfBirth": "1990-01-15"
},
"bankName": "Example Bank",
"bankCountry": "Denmark",
"bankAddress": "1 Example Plaza, Copenhagen, Denmark"
},
"message": "Virtual account is active",
"createdAt": "2026-01-15T10:30:00.000Z"
},
{
"virtualAccountId": "corr-67890-fghij",
"status": "PENDING",
"currency": "USD",
"message": "Virtual account creation is pending",
"createdAt": "2026-01-20T14:00:00.000Z"
}
]{
"error": "Unauthorized - Invalid or missing API key or session"
}{
"error": "Virtual accounts feature is not enabled for your organization"
}{
"error": "Customer not found"
}
